import { Api } from "../../shared/src/lib";

export type WalkthroughData = Awaited<ReturnType<typeof getWalkthroughData>>;

export async function getWalkthroughData(walkthroughId: string) {
  const api = new Api();
  const [walkthrough, publishedBlocks, codeFiles] = await Promise.all([
    api.getWalkthrough(walkthroughId),
    api.getBlocksForWalkthrough(walkthroughId, "published"),
    api.getCodeFilesForWalkthrough(walkthroughId, "published"),
  ]);

  return { walkthrough, publishedBlocks, codeFiles };
}
