import { FileTabsContainer, CodeFileTab } from "@annotate-dev/shared";

export default function Skeleton() {
  return (
    <div className="@container h-full w-full">
      <div className="bg-tokyo-dark-900 text-tokyo-text-1 @3xl:flex-row flex h-full flex-col-reverse">
        <div className="@3xl:basis-2/5 flex-shrink-0 flex-grow-0 basis-3/5 overflow-auto">
          <div className="@3xl:p-7 ">
            <div className="mb-1/2 p-5 mx-auto max-w-[46rem] animate-pulse flex flex-col gap-3">
              <div className="w-4/5 bg-tokyo-text-1 h-7 rounded-full"></div>
              <div className="w-2/5 bg-tokyo-text-1 h-7 rounded-full"></div>
            </div>
            <div className="px-5 flex flex-col gap-2">
              <div className="w-1/4 bg-tokyo-text-2 h-3 rounded-full animate-pulse"></div>
              <div className="w-1/3 bg-tokyo-text-2 h-3 rounded-full animate-pulse"></div>
              <div className="w-full bg-tokyo-text-2 h-3 rounded-full animate-pulse mt-3"></div>
              <div className="w-full bg-tokyo-text-2 h-3 rounded-full animate-pulse mt-3"></div>
              <div className="w-full bg-tokyo-text-2 h-3 rounded-full animate-pulse mt-3"></div>
              <div className="w-full bg-tokyo-text-2 h-3 rounded-full animate-pulse mt-3"></div>
              <div className="w-full bg-tokyo-text-2 h-3 rounded-full animate-pulse mt-3"></div>
              <div className="w-full bg-tokyo-text-2 h-3 rounded-full animate-pulse mt-3"></div>
            </div>
          </div>
        </div>
        <div className="@3xl:basis-3/5 flex flex-shrink-0 flex-grow-0 basis-2/5 flex-col overflow-y-auto bg-tokyo-dark-600">
          <FileTabsContainer>
            <CodeFileTab isFocused={true} asChild={true}>
              <div className="w-28 px-3 flex items-center">
                <div className="flex-1 rounded-full h-2 bg-tokyo-text-2 animate-pulse"></div>
              </div>
            </CodeFileTab>
          </FileTabsContainer>
        </div>
      </div>
    </div>
  );
}
